# Documentation

Menu

## DecoderResult
in package

FinalYes
DecoderResult.php : 33

Encapsulates the result of decoding a matrix of bits. This typically applies to 2D barcode formats. For now, it contains the raw bytes obtained as well as a String interpretation of those bytes, if applicable.

### Table of Contents

#### Properties

$data : string
$eccLevel : EccLevel
$finderPatterns : array<string|int, FinderPattern>
$maskPattern : MaskPattern
$rawBytes : BitBuffer
$structuredAppendParity : int
$structuredAppendSequence : int
$version : Version

#### Methods

__construct() : mixed
  DecoderResult constructor.
__get() : mixed
__toString() : string
getQRMatrix() : QRMatrix
  Returns a QRMatrix instance with the settings and data of the reader result
hasStructuredAppend() : bool

### Properties

#### $data

DecoderResult.php : 39
`private string $data = ''`

#### $eccLevel

DecoderResult.php : 37
`private EccLevel $eccLevel`

#### $finderPatterns

DecoderResult.php : 43
`private array<string|int, FinderPattern> $finderPatterns = []`

#### $maskPattern

DecoderResult.php : 38
`private MaskPattern $maskPattern`

#### $rawBytes

DecoderResult.php : 35
`private BitBuffer $rawBytes`

#### $structuredAppendParity

DecoderResult.php : 40
`private int $structuredAppendParity = -1`

#### $structuredAppendSequence

DecoderResult.php : 41
`private int $structuredAppendSequence = -1`

#### $version

DecoderResult.php : 36
`private Version $version`

### Methods

#### __construct()

DecoderResult.php : 50

DecoderResult constructor.

`public __construct([iterable<string|int, mixed>|null $properties = null ]) : mixed`

##### Parameters

$properties : iterable<string|int, mixed>|null = null

##### Tags

phpstan-param

  array<string, mixed> $properties

#### __get()

DecoderResult.php : 67
`public __get(string $property) : mixed`

##### Parameters

$property : string

#### __toString()

DecoderResult.php : 76
`public __toString() : string`

##### Return values

string

#### getQRMatrix()

DecoderResult.php : 87

Returns a QRMatrix instance with the settings and data of the reader result

`public getQRMatrix() : QRMatrix`

##### Return values

QRMatrix

#### hasStructuredAppend()

DecoderResult.php : 80
`public hasStructuredAppend() : bool`

##### Return values

bool

## Search results